Overview | File | Class | Tree | Index | Help
| Jala 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class jala.AsyncRequest

    Object
       |
       +--jala.AsyncRequest

class jala.AsyncRequest

This class is used to create requests of type "INTERNAL" (like cron-jobs) that are processed in a separate thread and therefor asynchronous.
Deprecated Use the app.invokeAsync method instead (built-in into Helma as of version 1.6)
Defined in AsyncRequest.js

Constructor Summary
`jala.AsyncRequest (<Object> obj, <String> funcName, <Array> args)` Creates a new AsyncRequest instance.

Method Summary
`void` | `evaluate()` Starts this asynchronous request.
`Boolean` | `isAlive()` Returns true if the underlying thread is alive
`void` | `run()` Starts this asynchronous request.
`void` | `setDelay(<Number> millis)` Defines the delay to wait before evaluating this asynchronous request.
`void` | `setTimeout(<Number> seconds)` Sets the timeout of this asynchronous request.

Constructor Detail

### jala.AsyncRequest

    jala.AsyncRequest(<Object> obj, <String> funcName, <Array> args)

Creates a new AsyncRequest instance.

Parameters:

`obj` - Object in whose context the method should be called

`funcName` - Name of the function to call

`args` - Array containing the arguments that should be passed to the function (optional). This option is deprecated, instead pass the arguments directly to the run() method.

Returns:

A new instance of AsyncRequest

Deprecated Use the app.invokeAsync method instead (built-in into Helma as of version 1.6)

Method Detail

### evaluate

    void evaluate()

Starts this asynchronous request.

Deprecated Use run() instead

### isAlive

    Boolean isAlive()

Returns true if the underlying thread is alive

Returns:

True if the underlying thread is alive, false otherwise.

### run

    void run()

Starts this asynchronous request. Any arguments passed to this method will be passed to the method executed by this AsyncRequest instance.

### setDelay

    void setDelay(<Number> millis)

Defines the delay to wait before evaluating this asynchronous request.

Parameters:

`millis` - Milliseconds to wait

### setTimeout

    void setTimeout(<Number> seconds)

Sets the timeout of this asynchronous request.

Parameters:

`seconds` - Thread-timeout.

Overview | File | Class | Tree | Index | Help
| Jala 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Documentation generated by JSDoc on Tue Jan 8 15:45:31 2008